QGIS Application - Bug report #4266
crash on exit if certain C++ plugins are active
2011-09-05 04:13 PM - Steven Mizuno

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 14207
Description

QGIS crashes when exiting if some C++ plugin is active - noticed this with the GeoReferencer and the Spatial Query. Perhaps others do
this, too -- haven't tested. This is on Windows 7, | don't know about other platforms.

For the GeoReferencer this happens whether docked or not, and even with no layers loaded. If GeoReferencer is closed before exiting
QGIS, no problem.

Associated revisions

Revision d5594b09 - 2011-09-06 09:14 PM - Martin Dobias

Fix #4266 - georeferencer and spatial query crashing on exit

Revision f277a840 - 2011-09-07 10:40 PM - Martin Dobias

Fix #4266 - georeferencer and spatial query crashing on exit

History

#1 - 2011-09-06 09:35 AM - Goyo D

Does not happen in Trunk (Ubuntu Natty from nightly repo).

#2 - 2011-09-06 09:40 AM - Giovanni Manghi

Gregorio Diaz-Marta Mateos wrote:

Does not happen in Trunk (Ubuntu Natty from nightly repo).

I'm Natty 64bit too, and unfortunately it happens. I'm using self compiled trunk-

#3 - 2011-09-06 12:22 PM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed
fixed in commit:d5594b09 for both georeferencer and spatial query plugin
